--- a/src/context/applets/similarartists/ArtistWidget.cpp
+++ b/src/context/applets/similarartists/ArtistWidget.cpp
@@ -481,7 +481,7 @@ ArtistWidget::resizeEvent( QGraphicsScen
     QGraphicsWidget::resizeEvent( event );
     layoutBio();
     QFontMetrics fm( m_match->font() );
-    m_match->setMaximumWidth( fm.width( m_match->text() ) );
+    m_match->setMaximumWidth( fm.horizontalAdvance( m_match->text() ) );
 }
 
 void
--- a/src/context/popupdropper/libpud/PopupDropperItem.cpp
+++ b/src/context/popupdropper/libpud/PopupDropperItem.cpp
@@ -500,7 +500,7 @@ void PopupDropperItem::reposTextItem()
         QFontMetrics fm( d->textItem->font() );
         qreal desiredWidth = d->borderRectItem->sceneBoundingRect().width() - offsetPos;
         while( d->textItem->font().pointSize() > 1 &&
-                ( fm.width( d->textItem->toPlainText() ) > desiredWidth ||
+                ( fm.horizontalAdvance( d->textItem->toPlainText() ) > desiredWidth ||
                   fm.height() > d->textItem->boundingRect().height() ) ) 
         {
             QFont font = d->textItem->font();
--- a/src/widgets/BookmarkPopup.cpp
+++ b/src/widgets/BookmarkPopup.cpp
@@ -79,8 +79,8 @@ void BookmarkPopup::adjustWidth()
     const int margin = 3;
     QFontMetrics fm ( font() );
     m_lineHeight = fm.height();
-    int line1Width = fm.width ( i18n ( "Bookmark" ) ) + 40; //padding and space for delete icon
-    int line2Width = fm.width ( m_label ) + 8 ;
+    int line1Width = fm.horizontalAdvance ( i18n ( "Bookmark" ) ) + 40; //padding and space for delete icon
+    int line2Width = fm.horizontalAdvance ( m_label ) + 8 ;
     m_height = 44;
     m_width = qMax ( line1Width, line2Width ) + 2 * margin;
     resize ( m_width, m_height );
--- a/src/widgets/BreadcrumbItemButton.cpp
+++ b/src/widgets/BreadcrumbItemButton.cpp
@@ -191,7 +191,7 @@ BreadcrumbItemButton::sizeHint() const
     if( !text().isEmpty() )
     {
         QFontMetrics fm( font() );
-        width += fm.width( text() );
+        width += fm.horizontalAdvance( text() );
     }
     size.setWidth( width );
     return size;
--- a/src/widgets/ElidingButton.cpp
+++ b/src/widgets/ElidingButton.cpp
@@ -54,7 +54,7 @@ void ElidingButton::init()
     if( !text().isEmpty() )
     {
         QFontMetrics fm( font() );
-        width += fm.width( QLatin1String( "XX" ) ) / 2;
+        width += fm.horizontalAdvance( QLatin1String( "XX" ) ) / 2;
     }
     setMinimumWidth( width );
 }
--- a/src/widgets/ProgressWidget.cpp
+++ b/src/widgets/ProgressWidget.cpp
@@ -201,7 +201,7 @@ ProgressWidget::trackLengthChanged( qint
 
     const int timeLength = Meta::msToPrettyTime( milliseconds ).length() + 1; // account for - in remaining time
     QFontMetrics tFm( m_timeLabelRight->font() );
-    const int labelSize = tFm.width(QChar('0')) * timeLength;
+    const int labelSize = tFm.horizontalAdvance(QChar('0')) * timeLength;
 
     //set the sizes of the labels to the max needed by the length of the track
     //this way the progressbar will not change size during playback of a track
--- 1/src/statusbar/LongMessageWidget.cpp
+++ b/src/statusbar/LongMessageWidget.cpp
@@ -51,7 +51,7 @@ LongMessageWidget::LongMessageWidget( co
 
     m_countdownFrame = new CountdownFrame( hbox );
     m_countdownFrame->setObjectName( QStringLiteral("counterVisual") );
-    m_countdownFrame->setFixedWidth( fontMetrics().width( QStringLiteral("X") ) );
+    m_countdownFrame->setFixedWidth( fontMetrics().horizontalAdvance( QStringLiteral("X") ) );
     m_countdownFrame->setFrameStyle( QFrame::Plain | QFrame::Box );
     QPalette pal;
     pal.setColor( m_countdownFrame->foregroundRole(), p.dark().color() );
--- 1/src/toolbar/MainToolbar.cpp
+++ b/src/toolbar/MainToolbar.cpp
@@ -873,7 +873,7 @@ MainToolbar::setLabelTime( int ms )
         int tf = timeFrame( secs );
         if( m_lastTime < 0 || tf != timeFrame( m_lastTime ) )
         {
-            const int w = QFontMetrics( m_timeLabel->font() ).width( timeString[tf] );
+            const int w = QFontMetrics( m_timeLabel->font() ).horizontalAdvance( timeString[tf] );
             m_timeLabel->setFixedWidth( w );
             relayout = true;
         }
@@ -885,7 +885,7 @@ MainToolbar::setLabelTime( int ms )
             tf = timeFrame( remainingSecs );
             if( m_lastRemainingTime < 0 || tf != timeFrame( m_lastRemainingTime ) )
             {
-                const int w = QFontMetrics( m_remainingTimeLabel->font() ).width( QStringLiteral("-") + timeString[tf] );
+                const int w = QFontMetrics( m_remainingTimeLabel->font() ).horizontalAdvance( QStringLiteral("-") + timeString[tf] );
                 m_remainingTimeLabel->setFixedWidth( w );
                 relayout = true;
             }
--- 1/src/widgets/Osd.cpp
+++ b/src/widgets/Osd.cpp
@@ -213,7 +213,7 @@ OSDWidget::setVisible( bool visible )
         if ( !isEnabled() || m_text.isEmpty() )
             return;
 
-        const uint margin = fontMetrics().width( 'x' );
+        const uint margin = fontMetrics().horizontalAdvance( 'x' );
 
         const QRect newGeometry = determineMetrics( margin );
 
--- 1/src/widgets/TokenPool.cpp
+++ b/src/widgets/TokenPool.cpp
@@ -69,7 +69,7 @@ TokenPool::sizeHint() const
     // we are planning the size for three columns of token text
     // with eight rows (note: we might get less than eight rows if because
     // of the space the border and the scroll bar uses).
-    return QSize(fontMetrics().width(QLatin1String("Artist's Initial")) * 3,
+    return QSize(fontMetrics().horizontalAdvance(QLatin1String("Artist's Initial")) * 3,
                  h * 8 );
 }
 