Index: amarok-kf5-2.9.80+git20210917/shared/tag_helpers/TagHelper.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/shared/tag_helpers/TagHelper.cpp
+++ amarok-kf5-2.9.80+git20210917/shared/tag_helpers/TagHelper.cpp
@@ -198,13 +198,13 @@ TagHelper::splitDiscNr( const QString &v
     int count = 0;
     if( value.indexOf( QLatin1Char('/') ) != -1 )
     {
-        QStringList list = value.split( QLatin1Char('/'), QString::SkipEmptyParts );
+        QStringList list = value.split( QLatin1Char('/'), Qt::SkipEmptyParts );
         disc = list.value( 0 ).toInt();
         count = list.value( 1 ).toInt();
     }
     else if( value.indexOf( QLatin1Char(':') ) != -1 )
     {
-        QStringList list = value.split( QLatin1Char(':'), QString::SkipEmptyParts );
+        QStringList list = value.split( QLatin1Char(':'), Qt::SkipEmptyParts );
         disc = list.value( 0 ).toInt();
         count = list.value( 1 ).toInt();
     }
Index: amarok-kf5-2.9.80+git20210917/src/EngineController.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/EngineController.cpp
+++ amarok-kf5-2.9.80+git20210917/src/EngineController.cpp
@@ -409,7 +409,7 @@ EngineController::playUrl( const QUrl &u
     m_currentAudioCdTrack = 0;
     if( url.scheme() == "audiocd" )
     {
-        QStringList pathItems = url.path().split( QLatin1Char('/'), QString::KeepEmptyParts );
+        QStringList pathItems = url.path().split( QLatin1Char('/'), Qt::KeepEmptyParts );
         if( pathItems.count() != 3 )
         {
             error() << __PRETTY_FUNCTION__ << url.url() << "is not in expected format";
Index: amarok-kf5-2.9.80+git20210917/src/QStringx.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/QStringx.cpp
+++ amarok-kf5-2.9.80+git20210917/src/QStringx.cpp
@@ -54,7 +54,7 @@ Amarok::QStringx::~QStringx()
 QString
 Amarok::QStringx::args( const QStringList &args ) const
 {
-    const QStringList text = (*this).split( QRegExp( "%\\d+" ), QString::KeepEmptyParts );
+    const QStringList text = (*this).split( QRegExp( "%\\d+" ), Qt::KeepEmptyParts );
 
     QList<QString>::ConstIterator itrText = text.constBegin();
     QList<QString>::ConstIterator itrArgs = args.constBegin();
Index: amarok-kf5-2.9.80+git20210917/src/context/engines/similarartists/SimilarArtistsEngine.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/context/engines/similarartists/SimilarArtistsEngine.cpp
+++ amarok-kf5-2.9.80+git20210917/src/context/engines/similarartists/SimilarArtistsEngine.cpp
@@ -57,7 +57,7 @@ SimilarArtistsEngine::sourceRequestEvent
         return false;
 
     bool force( false );
-    QStringList tokens = name.split( QLatin1Char(':'), QString::SkipEmptyParts );
+    QStringList tokens = name.split( QLatin1Char(':'), Qt::SkipEmptyParts );
     if( tokens.contains( QLatin1String("forceUpdate") ) )
         force = true;
 
Index: amarok-kf5-2.9.80+git20210917/src/context/engines/tabs/TabsEngine.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/context/engines/tabs/TabsEngine.cpp
+++ amarok-kf5-2.9.80+git20210917/src/context/engines/tabs/TabsEngine.cpp
@@ -126,7 +126,7 @@ TabsEngine::sourceRequestEvent( const QS
     removeAllData( name );
     setData( name, QVariant() );
 
-    QStringList tokens = name.split( QLatin1Char(':'), QString::SkipEmptyParts );
+    QStringList tokens = name.split( QLatin1Char(':'), Qt::SkipEmptyParts );
     if( tokens.contains( QLatin1String( "forceUpdate" ) ) )
     {
         // data coming from the applet configuration dialog
Index: amarok-kf5-2.9.80+git20210917/src/core-impl/collections/daap/DaapCollection.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/core-impl/collections/daap/DaapCollection.cpp
+++ amarok-kf5-2.9.80+git20210917/src/core-impl/collections/daap/DaapCollection.cpp
@@ -90,7 +90,7 @@ DaapCollectionFactory::connectToManualSe
     foreach( const QString &server, sl )
     {
         debug() << "Adding server " << server;
-        QStringList current = server.split( QLatin1Char(':'), QString::KeepEmptyParts );
+        QStringList current = server.split( QLatin1Char(':'), Qt::KeepEmptyParts );
         //handle invalid urls gracefully
         if( current.count() < 2 )
             continue;
Index: amarok-kf5-2.9.80+git20210917/src/core-impl/podcasts/sql/SqlPodcastMeta.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/core-impl/podcasts/sql/SqlPodcastMeta.cpp
+++ amarok-kf5-2.9.80+git20210917/src/core-impl/podcasts/sql/SqlPodcastMeta.cpp
@@ -544,7 +544,7 @@ SqlPodcastChannel::SqlPodcastChannel( Sq
     m_description = *(iter++);
     m_copyright = *(iter++);
     m_directory = QUrl( *(iter++) );
-    m_labels = QStringList( QString( *(iter++) ).split( QLatin1Char(','), QString::SkipEmptyParts ) );
+    m_labels = QStringList( QString( *(iter++) ).split( QLatin1Char(','), Qt::SkipEmptyParts ) );
     m_subscribeDate = QDate::fromString( *(iter++) );
     m_autoScan = sqlStorage->boolTrue() == *(iter++);
     m_fetchType = (*(iter++)).toInt() == DownloadWhenAvailable ? DownloadWhenAvailable : StreamOrDownloadOnDemand;
Index: amarok-kf5-2.9.80+git20210917/src/core/transcoding/TranscodingController.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/core/transcoding/TranscodingController.cpp
+++ amarok-kf5-2.9.80+git20210917/src/core/transcoding/TranscodingController.cpp
@@ -63,7 +63,7 @@ Controller::onAvailabilityVerified( int
     QString output = qobject_cast< KProcess * >( sender() )->readAllStandardOutput().data();
     if( output.simplified().isEmpty() )
         return;
-    const QStringList lines = output.split( QRegExp( QStringLiteral("\r|\n") ), QString::SkipEmptyParts );
+    const QStringList lines = output.split( QRegExp( QStringLiteral("\r|\n") ), Qt::SkipEmptyParts );
     foreach( Format *format, m_formats )
     {
         bool formatAvailable = false;
Index: amarok-kf5-2.9.80+git20210917/src/dialogs/TagGuesser.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/dialogs/TagGuesser.cpp
+++ amarok-kf5-2.9.80+git20210917/src/dialogs/TagGuesser.cpp
@@ -106,7 +106,7 @@ TagGuesser::convertTagCaseType( const QS
         case 2:
         {
             QString complete;
-            QStringList splitList = tag.toLower().split( ' ', QString::SkipEmptyParts );
+            QStringList splitList = tag.toLower().split( ' ', Qt::SkipEmptyParts );
 
             foreach( QString word, splitList )
             {
Index: amarok-kf5-2.9.80+git20210917/src/playlist/layouts/LayoutManager.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/playlist/layouts/LayoutManager.cpp
+++ amarok-kf5-2.9.80+git20210917/src/playlist/layouts/LayoutManager.cpp
@@ -455,7 +455,7 @@ void LayoutManager::orderLayouts()
 
     QStringList knownLayouts = m_layouts.keys();
 
-    QStringList orderingList = orderString.split( QLatin1Char(';'), QString::SkipEmptyParts );
+    QStringList orderingList = orderString.split( QLatin1Char(';'), Qt::SkipEmptyParts );
 
     foreach( const QString &layout, orderingList )
     {
Index: amarok-kf5-2.9.80+git20210917/src/playlist/proxymodels/ProxyBase.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/playlist/proxymodels/ProxyBase.cpp
+++ amarok-kf5-2.9.80+git20210917/src/playlist/proxymodels/ProxyBase.cpp
@@ -299,7 +299,7 @@ ProxyBase::rowMatch( int sourceModelRow,
 
     Meta::TrackPtr track = m_belowModel->trackAt( sourceModelRow );
 
-    QStringList searchList = searchTerms.split(QLatin1Char(' '), QString::SkipEmptyParts);
+    QStringList searchList = searchTerms.split(QLatin1Char(' '), Qt::SkipEmptyParts);
 
     foreach( const QString& searchTerm, searchList )
     {
Index: amarok-kf5-2.9.80+git20210917/src/playlistmanager/file/PlaylistFileProvider.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/playlistmanager/file/PlaylistFileProvider.cpp
+++ amarok-kf5-2.9.80+git20210917/src/playlistmanager/file/PlaylistFileProvider.cpp
@@ -293,7 +293,7 @@ PlaylistFileProvider::loadPlaylists()
         }
 
         if( !groups.isEmpty() && playlist->isWritable() )
-            playlist->setGroups( groups.split( QLatin1Char(','),  QString::SkipEmptyParts ) );
+            playlist->setGroups( groups.split( QLatin1Char(','),  Qt::SkipEmptyParts ) );
 
         m_playlists << playlist;
         Q_EMIT playlistAdded( PlaylistPtr( playlist.data() ) );
Index: amarok-kf5-2.9.80+git20210917/src/services/jamendo/JamendoXmlParser.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/services/jamendo/JamendoXmlParser.cpp
+++ amarok-kf5-2.9.80+git20210917/src/services/jamendo/JamendoXmlParser.cpp
@@ -334,7 +334,7 @@ JamendoXmlParser::readAlbum()
             //we use tags instead of genres for creating genres in the database, as the
             //Jamendo.com genres are messy at best
 //             else if ( currentChildElement.tagName() == "tags" )
-//                 tags = currentChildElement.text().split(' ', QString::SkipEmptyParts);
+//                 tags = currentChildElement.text().split(' ', Qt::SkipEmptyParts);
 //             n = n.nextSibling();
         }
     }
Index: amarok-kf5-2.9.80+git20210917/src/services/lastfm/meta/LastFmMeta.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/services/lastfm/meta/LastFmMeta.cpp
+++ amarok-kf5-2.9.80+git20210917/src/services/lastfm/meta/LastFmMeta.cpp
@@ -256,7 +256,7 @@ Track::streamName() const
 {
     // parse the url to get a name if we don't have a track name (ie we're not playing the station)
     // do it as name rather than prettyname so it shows up nice in the playlist.
-    QStringList elements = d->lastFmUri.toString().split( '/', QString::SkipEmptyParts );
+    QStringList elements = d->lastFmUri.toString().split( '/', Qt::SkipEmptyParts );
     if( elements.size() >= 2 && elements[0] == "lastfm:" )
     {
         QString customPart = QUrl::fromPercentEncoding( elements[2].toUtf8() );
Index: amarok-kf5-2.9.80+git20210917/src/services/magnatune/MagnatuneStore.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/services/magnatune/MagnatuneStore.cpp
+++ amarok-kf5-2.9.80+git20210917/src/services/magnatune/MagnatuneStore.cpp
@@ -623,7 +623,7 @@ QString MagnatuneStore::messages()
 
 QString MagnatuneStore::sendMessage( const QString & message )
 {
-    QStringList args = message.split( ' ', QString::SkipEmptyParts );
+    QStringList args = message.split( ' ', Qt::SkipEmptyParts );
 
     if ( args.size() < 1 ) {
         return i18n( "ERROR: No arguments supplied" );
Index: amarok-kf5-2.9.80+git20210917/src/services/magnatune/MagnatuneXmlParser.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/services/magnatune/MagnatuneXmlParser.cpp
+++ amarok-kf5-2.9.80+git20210917/src/services/magnatune/MagnatuneXmlParser.cpp
@@ -195,7 +195,7 @@ MagnatuneXmlParser::parseAlbum( const QD
                 albumCode = childElement.text();
 
             else if ( sElementName == "magnatunegenres" )
-                magnatuneGenres = childElement.text().split(',', QString::SkipEmptyParts);
+                magnatuneGenres = childElement.text().split(',', Qt::SkipEmptyParts);
 
             else if ( sElementName == "launchdate" )
             {
Index: amarok-kf5-2.9.80+git20210917/src/services/mp3tunes/harmonydaemon/Mp3tunesHarmonyDaemon.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/services/mp3tunes/harmonydaemon/Mp3tunesHarmonyDaemon.cpp
+++ amarok-kf5-2.9.80+git20210917/src/services/mp3tunes/harmonydaemon/Mp3tunesHarmonyDaemon.cpp
@@ -96,7 +96,7 @@ Mp3tunesHarmonyDaemon::allAboardTheDBus(
         ::exit(126);
         return false;
     }
-    QStringList parts = this->organizationDomain().split(QLatin1Char('.'), QString::SkipEmptyParts);
+    QStringList parts = this->organizationDomain().split(QLatin1Char('.'), Qt::SkipEmptyParts);
     QString reversedDomain;
     if (parts.isEmpty())
         reversedDomain = QLatin1String("local.");
Index: amarok-kf5-2.9.80+git20210917/src/toolbar/MainToolbar.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/toolbar/MainToolbar.cpp
+++ amarok-kf5-2.9.80+git20210917/src/toolbar/MainToolbar.cpp
@@ -438,7 +438,7 @@ static QStringList metadata( Meta::Track
         {
             // this will split "all-in-one" filename tags
             QRegExp rx("(\\s+-\\s+|\\s*;\\s*|\\s*:\\s*)");
-            list << title.split( rx, QString::SkipEmptyParts );
+            list << title.split( rx, Qt::SkipEmptyParts );
             QList<QString>::iterator i = list.begin();
             bool ok;
             while ( i != list.end() )
Index: amarok-kf5-2.9.80+git20210917/src/widgets/FilenameLayoutWidget.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/widgets/FilenameLayoutWidget.cpp
+++ amarok-kf5-2.9.80+git20210917/src/widgets/FilenameLayoutWidget.cpp
@@ -374,7 +374,7 @@ FilenameLayoutWidget::populateFormatList
     foreach( const QString &str, presets_raw )
     {
         QStringList items;
-        items = str.split( "#DELIM#", QString::SkipEmptyParts );
+        items = str.split( "#DELIM#", Qt::SkipEmptyParts );
         if( items.size() < 2 )
             continue;
         m_presetCombo->addItem( items.at( 0 ), items.at( 1 ) ); // Label, format string