Index: amarok-kf5-2.9.80+git20210917/src/scripting/scriptengine/qtbindings/CoreByteArray.cpp
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/scripting/scriptengine/qtbindings/CoreByteArray.cpp
+++ amarok-kf5-2.9.80+git20210917/src/scripting/scriptengine/qtbindings/CoreByteArray.cpp
@@ -80,12 +80,6 @@ ByteArray &ByteArray::append(char ch)
     return *this;
 }
 
-ByteArray &ByteArray::append(const QString &str)
-{
-    QByteArray::append(str);
-    return *this;
-}
-
 char ByteArray::at(int i) const
 {
     return QByteArray::at(i);
@@ -241,11 +235,6 @@ int ByteArray::indexOf(char ch, int from
     return QByteArray::indexOf(ch, from);
 }
 
-int ByteArray::indexOf(const QString &str, int from) const
-{
-    return QByteArray::indexOf(str, from);
-}
-
 ByteArray &ByteArray::insert(int i, const QByteArray &ba)
 {
     QByteArray::insert(i, ba);
@@ -276,12 +265,6 @@ ByteArray &ByteArray::insert(int i, char
     return *this;
 }
 
-ByteArray &ByteArray::insert(int i, const QString &str)
-{
-    QByteArray::insert(i, str);
-    return *this;
-}
-
 bool ByteArray::isEmpty() const
 {
     return QByteArray::isEmpty();
@@ -307,11 +290,6 @@ int ByteArray::lastIndexOf(char ch, int
     return QByteArray::lastIndexOf(ch, from);
 }
 
-int ByteArray::lastIndexOf(const QString &str, int from) const
-{
-    return QByteArray::lastIndexOf(str, from);
-}
-
 QByteArray ByteArray::left(int len) const
 {
     return QByteArray::left(len);
@@ -476,21 +454,6 @@ QByteArray &ByteArray::replace(char befo
 {
     return QByteArray::replace(before, after);
 }
-
-QByteArray &ByteArray::replace(const QString &before, const char *after)
-{
-    return QByteArray::replace(before, after);
-}
-
-QByteArray &ByteArray::replace(char before, const QString &after)
-{
-    return QByteArray::replace(before, after);
-}
-
-QByteArray &ByteArray::replace(const QString &before, const QByteArray &after)
-{
-    return QByteArray::replace(before, after);
-}
 
 void ByteArray::reserve(int size)
 {
Index: amarok-kf5-2.9.80+git20210917/src/scripting/scriptengine/qtbindings/CoreByteArray.h
===================================================================
--- amarok-kf5-2.9.80+git20210917.orig/src/scripting/scriptengine/qtbindings/CoreByteArray.h
+++ amarok-kf5-2.9.80+git20210917/src/scripting/scriptengine/qtbindings/CoreByteArray.h
@@ -58,7 +58,6 @@ namespace QtBindings
             ByteArray &append(const char *str);
             ByteArray &append(const char *str, int len);
             ByteArray &append(char ch);
-            ByteArray &append(const QString &str);
             char at(int i) const;
             QByteArray::iterator begin();
             QByteArray::const_iterator begin() const;
@@ -90,19 +89,16 @@ namespace QtBindings
             int indexOf(const QByteArray &ba, int from = 0) const;
             int indexOf(const char *str, int from = 0) const;
             int indexOf(char ch, int from = 0) const;
-            int indexOf(const QString &str, int from = 0) const;
             ByteArray &insert(int i, const QByteArray &ba);
             ByteArray &insert(int i, int count, char ch);
             ByteArray &insert(int i, const char *str);
             ByteArray &insert(int i, const char *str, int len);
             ByteArray &insert(int i, char ch);
-            ByteArray &insert(int i, const QString &str);
             bool isEmpty() const;
             bool isNull() const;
             int lastIndexOf(const QByteArray &ba, int from = -1) const;
             int lastIndexOf(const char *str, int from = -1) const;
             int lastIndexOf(char ch, int from = -1) const;
-            int lastIndexOf(const QString &str, int from = -1) const;
             QByteArray left(int len) const;
             QByteArray leftJustified(int width, char fill = ' ', bool truncate = false) const;
             int length() const;
@@ -135,9 +131,6 @@ namespace QtBindings
             QByteArray &replace(const QByteArray &before, const char *after);
             QByteArray &replace(const char *before, const QByteArray &after);
             QByteArray &replace(char before, char after);
-            QByteArray &replace(const QString &before, const char *after);
-            QByteArray &replace(char before, const QString &after);
-            QByteArray &replace(const QString &before, const QByteArray &after);
             void reserve(int size);
             void resize(int size);
             QByteArray right(int len) const;